<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Illuminate\Support\Facades\Http;

class updateJbg extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'update:jbg';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Update JBG for every active gadai';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $updatejbg = Http::get(config('api.url') . '/api/updatejbgsemasa')->json();
        if($updatejbg == 'successful'){
            return 0;
        }else{
            return 'failed';
        }
    }
}
